package com.community.huiju.controller;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.service.IBuildingOwnerInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpSession;

/**
 * version V1.0
 * class_name: $METHOD_NAME$
 * param: $METHOD_PARAM$
 * describe: TODO
 * creat_user:fannaixi
 * creat_time: 2019/3/28
 **/
@RestController
@RefreshScope
@RequestMapping("/")
@Api(value = "楼栋资料库API",description = "楼栋资料库API")
public class IBuildingOwnerInfoController extends BaseController {

    @Autowired
    private IBuildingOwnerInfo iBuildingOwnerInfo;

    @RequestMapping(value = "/building/select/address", method = RequestMethod.GET)
    @ApiOperation(value = "根据 小区/期/楼栋/单元/楼层/户号", notes = "根据 小区/期/楼栋/单元/楼层/户号")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "query", dataTypeClass = Integer.class, name = "communityId", value = "小区"),
            @ApiImplicitParam(paramType = "query", dataTypeClass = Integer.class, name = "phase", value = "期"),
            @ApiImplicitParam(paramType = "query", dataTypeClass = Integer.class, name = "building", value = "楼栋"),
            @ApiImplicitParam(paramType = "query", dataTypeClass = Integer.class, name = "unit", value = "单元"),
            @ApiImplicitParam(paramType = "query", dataTypeClass = Integer.class, name = "level", value = "楼层"),
            @ApiImplicitParam(paramType = "query", dataTypeClass = Integer.class, name = "roomNo", value = "户号"),
    })
    public ResponseBean selectByAddress(@RequestParam("communityId") Integer communityId,
                                        @RequestParam(value = "phase", required = false) String phase,
                                        @RequestParam(value = "building",required = false) String building,
                                        @RequestParam(value = "unit", required = false) String unit,
                                        @RequestParam(value = "level", required = false) String level,
                                        @RequestParam(value = "roomNo", required = false) String roomNo) {

        ResponseBean responseBean = new ResponseBean();
        responseBean = iBuildingOwnerInfo.selectBuildList(communityId, phase, building, unit, level, roomNo);
        return responseBean;

    }

    @RequestMapping(value = "/building/has", method = RequestMethod.GET)
    @ApiOperation(value = "根据 小区、期、楼栋、单元、楼层、户号", notes = "根据 小区、期、楼栋、单元、楼层、户号")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "query", dataTypeClass = Integer.class, name = "phase", value = "期"),
            @ApiImplicitParam(paramType = "query", dataTypeClass = Integer.class, name = "building", value = "楼栋"),
            @ApiImplicitParam(paramType = "query", dataTypeClass = Integer.class, name = "unit", value = "单元"),
            @ApiImplicitParam(paramType = "query", dataTypeClass = Integer.class, name = "level", value = "楼层"),
            @ApiImplicitParam(paramType = "query", dataTypeClass = Integer.class, name = "roomNo", value = "户号"),
            @ApiImplicitParam(paramType = "header",dataType = "String",name = "X-Auth-Token",value = "Token")
    })
    public ResponseBean hasBuilding(@RequestParam(value = "phase", required = false) String phase,
                                   @RequestParam(value = "building",required = false) String building,
                                   @RequestParam(value = "unit", required = false) String unit,
                                   @RequestParam(value = "level", required = false) String level,
                                   @RequestParam(value = "roomNo", required = false) String roomNo,
                                   HttpSession session){

        ResponseBean responseBean = new ResponseBean();
        UserElement userElement = getUserElement(session);
        responseBean = iBuildingOwnerInfo.hasBuild(userElement, phase, building, unit, level, roomNo);
        return responseBean;
    }

}
