package com.community.huiju.dao;

import com.community.huiju.model.TpBuildingOwnerInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface TpBuildingOwnerInfoMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpBuildingOwnerInfo record);

    int insertSelective(TpBuildingOwnerInfo record);

    TpBuildingOwnerInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpBuildingOwnerInfo record);

    int updateByPrimaryKey(TpBuildingOwnerInfo record);

    @ResultMap("BaseResultMap")
    @Select("select * from tp_building_owner_info where community_id=#{communityId} and owner_tel=#{ownerTel}")
    List<TpBuildingOwnerInfo> getByCommunityIdAndOwnerTel(@Param("communityId") Integer communityId, @Param("ownerTel") String ownerTel);

    TpBuildingOwnerInfo updatOwnerTel(Integer communityId,String OwnerTel);

    //根据手机号查询当前信息
    TpBuildingOwnerInfo selectOwnerTel(@Param("ownerTel")String ownerTel);


    /**
     * 查询当前房产所在的小区
     * @return
     */
//    List<TpBuildingOwnerInfo> buildingownerinfoList(@Param("name") String name,@Param("phone") String phone);

    /*
     * 根据 小区，期，楼栋，单元，楼层，户号
     * @param communityId
     * @param phase
     * @param building
     * @param unit
     * @param level
     * @param roomNo
     * @return
     */
    @ResultMap("BaseResultMap")
    @Select("select * from tp_building_owner_info where community_id=#{communityId}" +
            " and phase=#{phase} and building=#{building} and unit=#{unit}" +
            " and level=#{level} and room_no=#{roomNo} and verify_status=1")
    TpBuildingOwnerInfo selectCommunityIdAndAddress(@Param("communityId") Integer communityId, @Param("phase") String phase,
                                                    @Param("building") String building, @Param("unit") String unit,
                                                    @Param("level") String level, @Param("roomNo") String roomNo);

}